Skip to main content
The context providers documented on this page have been deprecated and are no longer actively maintained. We recommend using alternative solutions or the Model Context Protocol (MCP) for similar functionality. These providers may be removed in future versions.

Deprecated Providers

The following context providers have been deprecated but are kept here for reference. If you’re currently using any of these providers, consider migrating to alternative solutions.

@Greptile

Query a Greptile index of the current repo/branch.
config.yaml

@Commits

Reference specific git commit metadata and diff or all of the recent commits.
config.yaml
The depth is how many commits will be loaded into the submenu, defaults to 50. The LastXCommitsDepth is how many recent commits will be included, defaults to 10.

@Discord

Reference the messages in a Discord channel.
config.yaml
Make sure to include your own Bot Token, and join it to your related server . If you want more granular control over which channels are searched, you can specify a list of channel IDs to search in. If you don’t want to specify any channels, just include the guild id(Server ID) and all channels will be included. The provider only reads text channels.

@Jira

Reference the conversation in a Jira issue.
config.yaml
Make sure to include your own Atlassian API Token, or use your email and token, with token set to your password for basic authentication. If you use your own Atlassian API Token, don’t configure your email.

Jira Datacenter Support

This context provider supports both Jira API version 2 and 3. It will use version 3 by default since that’s what the cloud version uses, but if you have the datacenter version of Jira, you’ll need to set the API Version to 2 using the apiVersion property.
config.yaml

Issue Query

By default, the following query will be used to find issues:
You can override this query by setting the issueQuery parameter.

Max results

You can set the maxResults parameter to limit the number of results returned. The default is 50.

@Gitlab Merge Request

Reference an open MR for this branch on GitLab.
config.yaml
You will need to create a personal access token with the read_api scope.

Using Self-Hosted GitLab

You can specify the domain to communicate with by setting the domain parameter in your configurtion. By default this is set to gitlab.com.
config.yaml

Filtering Comments

If you select some code to be edited, you can have the context provider filter out comments for other files. To enable this feature, set filterComments to true.

@Google

Reference the results of a Google search.
config.yaml
For example, type “@Google python tutorial” if you want to search and discuss ways of learning Python. Note: You can get an API key for free at serper.dev.

@Database Context Provider – Reference Database Table Schemas

Reference table schemas from Sqlite, Postgres, MSSQL, and MySQL databases.
config.yaml
Each connection should include a unique name, the connection_type, and the necessary connection parameters specific to each database type. Available connection types:
  • postgres
  • mysql
  • sqlite

@Issue

Reference the conversation in a GitHub issue.
config.yaml
Make sure to include your own GitHub personal access token to avoid being rate-limited.

@Url

Reference the markdown converted contents of a given URL.
config.yaml

@Search

Reference the results of codebase search, just like the results you would get from VS Code search.
config.yaml
This context provider is powered by ripgrep.

@Web

Reference relevant pages from across the web, automatically determined from your input. Optionally, set n to limit the number of results returned (default 6).
config.yaml